Skip to main content
`Ctrl`+`K`

# PEPSetInitialSpace

Specify a basis of vectors that constitute the initial space, that is, the subspace from which the solver starts to iterate.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetInitialSpace(PEP pep,PetscInt n,Vec is[])

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- n - number of vectors

- is - set of basis vectors of the initial space

## Notes

Some solvers start to iterate on a single vector (initial vector). In that case, the other vectors are ignored.

These vectors do not persist from one `PEPSolve()` call to the other, so the initial space should be set every time.

The vectors do not need to be mutually orthonormal, since they are explicitly orthonormalized internally.

Common usage of this function is when the user can provide a rough approximation of the wanted eigenspace. Then, convergence may be faster.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetUp()`

## Level

intermediate

## Location

src/pep/interface/pepsetup.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages